/**************************************************************************\
*   BC++ 1.01                                   Source: READCFG.H
*   Host platform:   DOS                        Code:   ASCII-7
*   Target platform: DOS                        Code:   ASCII-7
*   Project name:    PL-Mail: Local FTN-Mailer (BSO)
*   Last change:     30.11.97
*   Programmer:      Andrew Porokhnyak
****************************************************************************
*
\**************************************************************************/

#ifndef __READCFG_H
#define __READCFG_H

#define MAXINCLUDELEVEL 8
#define MAXCFGLINE 1024

#define MAXSYSTEMNAME 120
#define MAXSYSOPNAME 120
#define MAXLOCATIONNAME 120
#define MAXNODEINFO 120


typedef struct _FTN_ADDR FTN_ADDR;
struct _FTN_ADDR
{
  int zon, net, nod, pnt; /* -1==unknown or wildcard */
};


extern char CFG_NAME[MAXPATH];

extern char EXT_FILES[];
extern char EXT_MAIL[];
extern char EXT_PKT[];

extern char MY_INP[MAXPATH];
extern char MY_OUT[MAXPATH];
extern char MY_FLAG[MAXPATH];
extern char UL_INP[MAXPATH];
extern char UL_OUT[MAXPATH];
extern char UL_FLAG[MAXPATH];

extern int my_z;
extern int my_n;
extern int my_f;
extern int my_p;
extern int ul_z;
extern int ul_n;
extern int ul_f;
extern int ul_p;

extern int conlog;
extern int loglevel;
extern char logpath[MAXPATH];

extern int nAddr;
extern FTN_ADDR *pAddr;
extern FTN_ADDR my_addr;
extern FTN_ADDR ul_addr;


/*
 * Parses and reads the path as a config
 */
void readcfg (char *path);

#endif

/*** EOF READCFG.H ********************************************************/
