/**************************************************************************\
*   BC++ 1.01                                   Source: DEFINES.H
*   Host platform:   DOS                        Code:   ASCII-7
*   Target platform: DOS                        Code:   ASCII-7
*   Project name:    Standard defines for AOP pgms
*   Last change:     30.11.97
*   Programmer:      Andrew Porokhnyak
****************************************************************************
*
\**************************************************************************/

#ifndef __DEFINES_H
#define __DEFINES_H


#ifdef _DEBUG_
        #define _TRACE_
        #define DBG "deb"
#else
        #define DBG ""
#endif


#ifdef _TRACE_
        #define report(numb,adds) fprintf(stderr, \
        "* Error in %s, line %d: %s %s\n",__FILE__,__LINE__,ERRS[numb],adds)
#else
        #define report(numb,adds) fprintf(stdout, "* Error: %s %s\n",\
        ERRS[numb],adds)
#endif

#if defined(__WATCOMC__)
        #define MADEBY "Watcom C"
#elif defined(__BORLANDC__)
        #define MADEBY "Borland C"
#elif defined(__TURBOC__)
        #define MADEBY "Turbo C"
#endif

#if defined(OS2)
        #define OS "OS2"
        #define PATH_DELIM "/"
#elif defined(W95) || defined(NT)
        #define OS "W32"
        #define PATH_DELIM "\\"
#else
        #define OS "DOS"
        #define PATH_DELIM "\\"
#endif

#endif
/*** EOF PL-MAIL.C *********************************************************/
